Package de.gebit.integrity.dsl

## Interface ForkParameter

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `ForkParameterImpl`

      public interface ForkParameter
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Fork Parameter'.

  The following features are supported:

  - `Name`
  - `Value`
  See Also:
    `DslPackage.getForkParameter()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FixedParameterName` | `getName()` | Returns the value of the 'Name' containment reference.
    `ValueOrEnumValueOrOperation` | `getValue()` | Returns the value of the 'Value' containment reference.
    `void` | `setName​(FixedParameterName value)` | Sets the value of the '`Name`' containment reference.
    `void` | `setValue​(ValueOrEnumValueOrOperation value)` | Sets the value of the '`Value`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getName

          FixedParameterName getName()

      Returns the value of the 'Name' containment reference.
      Returns:
        the value of the 'Name' containment reference.
      See Also:
        `setName(FixedParameterName)`, `DslPackage.getForkParameter_Name()`

    - #### setName

          void setName​(FixedParameterName value)

      Sets the value of the '`Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Name' containment reference.
      See Also:
        `getName()`

    - #### getValue

          ValueOrEnumValueOrOperation getValue()

      Returns the value of the 'Value' containment reference.
      Returns:
        the value of the 'Value' containment reference.
      See Also:
        `setValue(ValueOrEnumValueOrOperation)`, `DslPackage.getForkParameter_Value()`

    - #### setValue

          void setValue​(ValueOrEnumValueOrOperation value)

      Sets the value of the '`Value`' containment reference.
      Parameters:
        `value` - the new value of the 'Value' containment reference.
      See Also:
        `getValue()`